VkMemoryDedicatedRequirementsKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkBool32 | prefersDedicatedAllocation
VkBool32 | requiresDedicatedAllocation

## Detailed Description

Definition at line 4833 of file vulkan.h.

## Field Documentation

## pNext

void* VkMemoryDedicatedRequirementsKHR::pNext

Definition at line 4835 of file vulkan.h.

## prefersDedicatedAllocation

VkBool32 VkMemoryDedicatedRequirementsKHR::prefersDedicatedAllocation

Definition at line 4836 of file vulkan.h.

## requiresDedicatedAllocation

VkBool32 VkMemoryDedicatedRequirementsKHR::requiresDedicatedAllocation

Definition at line 4837 of file vulkan.h.

## sType

VkStructureType VkMemoryDedicatedRequirementsKHR::sType

Definition at line 4834 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h